org.apache.poi.xddf.usermodel

## Enum PresetPattern

- java.lang.Object
- - java.lang.Enum<PresetPattern>
  - - org.apache.poi.xddf.usermodel.PresetPattern

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PresetPattern>

      public enum PresetPattern
      extends java.lang.Enum<PresetPattern>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CROSS`
    `DARK_DOWNWARD_DIAGONAL`
    `DARK_HORIZONTAL`
    `DARK_UPWARD_DIAGONAL`
    `DARK_VERTICAL`
    `DASH_DOWNWARD_DIAGONAL`
    `DASH_HORIZONTAL`
    `DASH_UPWARD_DIAGONAL`
    `DASH_VERTICAL`
    `DIAGONAL_BRICK`
    `DIAGONAL_CROSS`
    `DIVOT`
    `DOTTED_DIAMOND`
    `DOTTED_GRID`
    `DOWNWARD_DIAGONAL`
    `HORIZONTAL`
    `HORIZONTAL_BRICK`
    `LARGE_CHECKER_BOARD`
    `LARGE_CONFETTI`
    `LARGE_GRID`
    `LIGHT_DOWNWARD_DIAGONAL`
    `LIGHT_HORIZONTAL`
    `LIGHT_UPWARD_DIAGONAL`
    `LIGHT_VERTICAL`
    `NARROW_HORIZONTAL`
    `NARROW_VERTICAL`
    `OPEN_DIAMOND`
    `PERCENT_10`
    `PERCENT_20`
    `PERCENT_25`
    `PERCENT_30`
    `PERCENT_40`
    `PERCENT_5`
    `PERCENT_50`
    `PERCENT_60`
    `PERCENT_70`
    `PERCENT_75`
    `PERCENT_80`
    `PERCENT_90`
    `PLAID`
    `SHINGLE`
    `SMALL_CHECKER_BOARD`
    `SMALL_CONFETTI`
    `SMALL_GRID`
    `SOLID_DIAMOND`
    `SPHERE`
    `TRELLIS`
    `UPWARD_DIAGONAL`
    `VERTICAL`
    `WAVE`
    `WEAVE`
    `WIDE_DOWNWARD_DIAGONAL`
    `WIDE_UPWARD_DIAGONAL`
    `ZIG_ZAG`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PresetPattern` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PresetPattern[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CROSS

          public static final PresetPattern CROSS

    - #### DASH_DOWNWARD_DIAGONAL

          public static final PresetPattern DASH_DOWNWARD_DIAGONAL

    - #### DASH_HORIZONTAL

          public static final PresetPattern DASH_HORIZONTAL

    - #### DASH_UPWARD_DIAGONAL

          public static final PresetPattern DASH_UPWARD_DIAGONAL

    - #### DASH_VERTICAL

          public static final PresetPattern DASH_VERTICAL

    - #### DIAGONAL_BRICK

          public static final PresetPattern DIAGONAL_BRICK

    - #### DIAGONAL_CROSS

          public static final PresetPattern DIAGONAL_CROSS

    - #### DIVOT

          public static final PresetPattern DIVOT

    - #### DARK_DOWNWARD_DIAGONAL

          public static final PresetPattern DARK_DOWNWARD_DIAGONAL

    - #### DARK_HORIZONTAL

          public static final PresetPattern DARK_HORIZONTAL

    - #### DARK_UPWARD_DIAGONAL

          public static final PresetPattern DARK_UPWARD_DIAGONAL

    - #### DARK_VERTICAL

          public static final PresetPattern DARK_VERTICAL

    - #### DOWNWARD_DIAGONAL

          public static final PresetPattern DOWNWARD_DIAGONAL

    - #### DOTTED_DIAMOND

          public static final PresetPattern DOTTED_DIAMOND

    - #### DOTTED_GRID

          public static final PresetPattern DOTTED_GRID

    - #### HORIZONTAL

          public static final PresetPattern HORIZONTAL

    - #### HORIZONTAL_BRICK

          public static final PresetPattern HORIZONTAL_BRICK

    - #### LARGE_CHECKER_BOARD

          public static final PresetPattern LARGE_CHECKER_BOARD

    - #### LARGE_CONFETTI

          public static final PresetPattern LARGE_CONFETTI

    - #### LARGE_GRID

          public static final PresetPattern LARGE_GRID

    - #### LIGHT_DOWNWARD_DIAGONAL

          public static final PresetPattern LIGHT_DOWNWARD_DIAGONAL

    - #### LIGHT_HORIZONTAL

          public static final PresetPattern LIGHT_HORIZONTAL

    - #### LIGHT_UPWARD_DIAGONAL

          public static final PresetPattern LIGHT_UPWARD_DIAGONAL

    - #### LIGHT_VERTICAL

          public static final PresetPattern LIGHT_VERTICAL

    - #### NARROW_HORIZONTAL

          public static final PresetPattern NARROW_HORIZONTAL

    - #### NARROW_VERTICAL

          public static final PresetPattern NARROW_VERTICAL

    - #### OPEN_DIAMOND

          public static final PresetPattern OPEN_DIAMOND

    - #### PERCENT_5

          public static final PresetPattern PERCENT_5

    - #### PERCENT_10

          public static final PresetPattern PERCENT_10

    - #### PERCENT_20

          public static final PresetPattern PERCENT_20

    - #### PERCENT_25

          public static final PresetPattern PERCENT_25

    - #### PERCENT_30

          public static final PresetPattern PERCENT_30

    - #### PERCENT_40

          public static final PresetPattern PERCENT_40

    - #### PERCENT_50

          public static final PresetPattern PERCENT_50

    - #### PERCENT_60

          public static final PresetPattern PERCENT_60

    - #### PERCENT_70

          public static final PresetPattern PERCENT_70

    - #### PERCENT_75

          public static final PresetPattern PERCENT_75

    - #### PERCENT_80

          public static final PresetPattern PERCENT_80

    - #### PERCENT_90

          public static final PresetPattern PERCENT_90

    - #### PLAID

          public static final PresetPattern PLAID

    - #### SHINGLE

          public static final PresetPattern SHINGLE

    - #### SMALL_CHECKER_BOARD

          public static final PresetPattern SMALL_CHECKER_BOARD

    - #### SMALL_CONFETTI

          public static final PresetPattern SMALL_CONFETTI

    - #### SMALL_GRID

          public static final PresetPattern SMALL_GRID

    - #### SOLID_DIAMOND

          public static final PresetPattern SOLID_DIAMOND

    - #### SPHERE

          public static final PresetPattern SPHERE

    - #### TRELLIS

          public static final PresetPattern TRELLIS

    - #### UPWARD_DIAGONAL

          public static final PresetPattern UPWARD_DIAGONAL

    - #### VERTICAL

          public static final PresetPattern VERTICAL

    - #### WAVE

          public static final PresetPattern WAVE

    - #### WEAVE

          public static final PresetPattern WEAVE

    - #### WIDE_DOWNWARD_DIAGONAL

          public static final PresetPattern WIDE_DOWNWARD_DIAGONAL

    - #### WIDE_UPWARD_DIAGONAL

          public static final PresetPattern WIDE_UPWARD_DIAGONAL

    - #### ZIG_ZAG

          public static final PresetPattern ZIG_ZAG

  - ### Method Detail

    - #### values

          public static PresetPattern[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PresetPattern c : PresetPattern.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PresetPattern valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.